Bug 1007486 - (jdom2) Review Request: jdom2 - Java manipulation of XML made easy
Review Request: jdom2 - Java manipulation of XML made easy
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Björn "besser82" Esser
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 977249 977773
  Show dependency treegraph
 
Reported: 2013-09-12 10:58 EDT by gil cattaneo
Modified: 2013-09-23 20:23 EDT (History)
2 users (show)

See Also:
Fixed In Version: jdom2-2.0.5-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-23 20:21:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
besser82: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2013-09-12 10:58:44 EDT
Spec URL: http://gil.fedorapeople.org/jdom2.spec
SRPM URL: http://gil.fedorapeople.org/jdom2-2.0.5-1.fc19.src.rpm
Description:
A complete, Java-based solution for accessing, manipulating,
and outputting XML data.
Fedora Account System Username: gil

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=5927915
Comment 1 Björn "besser82" Esser 2013-09-14 02:43:52 EDT
taken  ;)
Comment 2 Björn "besser82" Esser 2013-09-14 03:00:20 EDT
Package LGTM.  No issues prensent.  :)

#####

Package Review
==============

Legend:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 322 files have unknown license. Detailed output
     of licensecheck in
     /home/besser82/shared/fedora/review/1007486-jdom2/licensecheck.txt

     ---> License is fine

[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.

     ---> Licenses are 'OR'

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 81920 bytes in 5 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: Pom files have correct Maven mapping
     Note: Some add_maven_depmap calls found. Please check if they are correct
     or update to latest guidelines
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     jdom2-javadoc

     ---> false positive, the whole package is noarch

[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.

     ---> patch is Fedora-specific to unbundle and use system-libs

[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pss.

     ---> test are run during %build by maven

[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: jdom2-2.0.5-1.fc21.noarch.rpm
          jdom2-javadoc-2.0.5-1.fc21.noarch.rpm
          jdom2-2.0.5-1.fc21.src.rpm
jdom2.noarch: W: spelling-error %description -l en_US centric -> eccentric, centrist, concentric
jdom2.src: W: spelling-error %description -l en_US centric -> eccentric, centrist, concentric
3 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint jdom2-javadoc jdom2
jdom2.noarch: W: spelling-error %description -l en_US centric -> eccentric, centrist, concentric
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
jdom2-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

jdom2 (rpmlib, GLIBC filtered):
    java
    jaxen
    jpackage-utils
    xalan-j2
    xerces-j2



Provides
--------
jdom2-javadoc:
    jdom2-javadoc

jdom2:
    jdom2
    mvn(org.jdom:jdom2)
    mvn(org.jdom:jdom2-contrib)
    mvn(org.jdom:jdom2-junit)



Source checksums
----------------
https://github.com/hunterhacker/jdom/archive/JDOM-2.0.5.tar.gz :
  CHECKSUM(SHA256) this package     : 61623867629725f99ff2b9943453de09eea544c6f4ceea462d1f4dedaff4b7f2
  CHECKSUM(SHA256) upstream package : 61623867629725f99ff2b9943453de09eea544c6f4ceea462d1f4dedaff4b7f2


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1007486
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

#####

APPROVED!!!
Comment 3 gil cattaneo 2013-09-14 03:16:17 EDT
Thanks!

New Package SCM Request
=======================
Package Name: jdom2
Short Description: Java manipulation of XML made easy
Owners: gil
Branches: f19 f20
InitialCC: java-sig
Comment 4 Gwyn Ciesla 2013-09-14 15:56:16 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2013-09-14 16:47:51 EDT
jdom2-2.0.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/jdom2-2.0.5-1.fc20
Comment 6 Fedora Update System 2013-09-14 16:56:11 EDT
jdom2-2.0.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/jdom2-2.0.5-1.fc19
Comment 7 Fedora Update System 2013-09-15 13:38:15 EDT
jdom2-2.0.5-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 8 Fedora Update System 2013-09-23 20:21:50 EDT
jdom2-2.0.5-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 9 Fedora Update System 2013-09-23 20:23:02 EDT
jdom2-2.0.5-1.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.